> For the complete documentation index, see [llms.txt](https://docs.wproofreader.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wproofreader.com/v6.11.1/api-reference/custom-dictionary-api.md).

# Custom dictionary API

Use the Custom Dictionary API to manage **shared,** [**organization-owned dictionaries**](broken://pages/pm9SftAa4tPBpIODZfd0).

Words in an enabled custom dictionary are treated as **correct** during spellcheck.

**Command name:** `custom_dictionary`

See [HTTP API Overview](/v6.11.1/api-reference/overview.md) for endpoint details, request formats, and common parameters.

{% hint style="info" %}
An **access key** is **required** for this command. See [Access key](/v6.11.1/deployment/configuration/application-server/access-key.md).
{% endhint %}

### Start here

<table data-view="cards"><thead><tr><th>Page</th><th data-card-target data-type="content-ref">Link</th></tr></thead><tbody><tr><td>Overview</td><td><a href="/pages/Mjt2FyGWDATk7v4itOUR">/pages/Mjt2FyGWDATk7v4itOUR</a></td></tr><tr><td>Getting started</td><td><a href="/pages/pluff8tPUcIReliRoTjE">/pages/pluff8tPUcIReliRoTjE</a></td></tr><tr><td>Actions</td><td><a href="/pages/fHWJwDMVXMeEUOQ7SttT">/pages/fHWJwDMVXMeEUOQ7SttT</a></td></tr><tr><td>Parameters reference</td><td><a href="/pages/OGozILLCiE91UOllkvkk">/pages/OGozILLCiE91UOllkvkk</a></td></tr><tr><td>Response format</td><td><a href="/pages/DpTH6PgC4AOkcr5RoZSv">/pages/DpTH6PgC4AOkcr5RoZSv</a></td></tr><tr><td>Errors reference</td><td><a href="/pages/57FDhX28VTJ8XRXzi6Kc">/pages/57FDhX28VTJ8XRXzi6Kc</a></td></tr></tbody></table>

### When to use this vs User Dictionary

Use [User custom dictionary API](/v6.11.1/api-reference/user-custom-dictionary-api.md) when dictionaries are owned by end users.

Use this command when dictionaries are shared and managed by admins.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wproofreader.com/v6.11.1/api-reference/custom-dictionary-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
